PHP

What PHP frameworks are compatible with the Grid?

Known compatible frameworks include:

  • Symfony server hardware, networked together to make the most efficient use of resources.
  • Code Igniter
  • CakePHP
  • MODx
  • Seagull Framework

This list is not comprehensive. However, we like to keep it as thorough and complete as possible.

Does PHP on the Grid have safe-mode limitations?

No, although our PHP environment is so flexible, you can turn it back on if you really want to. You can also turn off safe mode per domain using the .htacess file. Please see this Community article for details.

Which PHP modules are included with your versions of PHP5?

Take a look at phpinfo pages to see the latest versions of PHP5 running on the Grid.

Is it possible to override the default php.ini settings?

Yes, you can override most php.ini configuration settings by managing your own php.ini file for your Grid service. We've even provided a sample php.ini file to get you started. To learn more, please read this Community article.

Our site uses cookies. By agreeing to use our site, you are agreeing to our cookie privacy policy.